GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Location Class Reference

## Public Member Functions
String | getLatitude ()
void | setLatitude (String value)
String | getLongitude ()
void | setLongitude (String value)

## Protected Attributes
String | latitude
String | longitude

## Detailed Description

Location (geo coordinates)

Java class for Location complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Location">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Latitude" type="{http://fpcs.gls-group.eu/v1/ParcelShop}GeoCoordinate" minOccurs="0"/>
            <element name="Longitude" type="{http://fpcs.gls-group.eu/v1/ParcelShop}GeoCoordinate" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 37 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/Location.java.

## Member Function Documentation

## ◆ getLatitude()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Location.getLatitude | ( |  | ) |

Gets the value of the latitude property.

Returns
  possible object is String

Definition at line 52 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/Location.java.

## ◆ getLongitude()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Location.getLongitude | ( |  | ) |

Gets the value of the longitude property.

Returns
  possible object is String

Definition at line 76 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/Location.java.

## ◆ setLatitude()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Location.setLatitude | ( | String | value | ) |

Sets the value of the latitude property.

Parameters

  value | allowed object is String

Definition at line 64 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/Location.java.

## ◆ setLongitude()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Location.setLongitude | ( | String | value | ) |

Sets the value of the longitude property.

Parameters

  value | allowed object is String

Definition at line 88 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/Location.java.

## Member Data Documentation

## ◆ latitude

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Location.latitude
| protected

Definition at line 40 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/Location.java.

## ◆ longitude

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Location.longitude
| protected

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/Location.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/parcelshop/Location.java